
From: Michael Krufky <mkrufky@m1k.net>

Changed hue offset to 128 to correct behavior in cx88 cards.  Previously,
setting 0% or 100% hue was required to avoid blue/green people on screen. 
Now, 50% Hue means no offset, just like bt878 stuff.

Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Mauro Carvalho Chehab <mchehab@brturbo.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/cx88/cx88-video.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/video/cx88/cx88-video.c~v4l-cx88-hue-offset-fix drivers/media/video/cx88/cx88-video.c
--- devel/drivers/media/video/cx88/cx88-video.c~v4l-cx88-hue-offset-fix	2005-06-29 20:34:16.000000000 -0700
+++ devel-akpm/drivers/media/video/cx88/cx88-video.c	2005-06-29 20:34:16.000000000 -0700
@@ -261,7 +261,7 @@ static struct cx88_ctrl cx8800_ctls[] = 
 			.default_value = 0,
 			.type          = V4L2_CTRL_TYPE_INTEGER,
 		},
-		.off                   = 0,
+		.off                   = 128,
 		.reg                   = MO_HUE,
 		.mask                  = 0x00ff,
 		.shift                 = 0,
_
